Index: tests/Python/AllActions/options.dat
===================================================================
--- tests/Python/AllActions/options.dat	(revision fe0cb8fc308970199e49364f8b08a147fe05200f)
+++ tests/Python/AllActions/options.dat	(revision 0588e9997198820786bc31f4c69ab48e55ac174a)
@@ -82,4 +82,5 @@
 fragment-molecule	"./"
 fragment-path	"test/"
+fragment-prefix	"BondFragment"
 fragment-resultfile	"results.dat"
 grid-level	"5"
Index: tests/regression/Fragmentation/FragmentMolecule/pre/benzene.pdb
===================================================================
--- tests/regression/Fragmentation/FragmentMolecule/pre/benzene.pdb	(revision 0588e9997198820786bc31f4c69ab48e55ac174a)
+++ tests/regression/Fragmentation/FragmentMolecule/pre/benzene.pdb	(revision 0588e9997198820786bc31f4c69ab48e55ac174a)
@@ -0,0 +1,26 @@
+REMARK created by molecuilder on Fri Sep 27 20:25:54 2013, time step 0
+ATOM      1 H01 0non 01         -1.627   0.000  -0.001  0.00  0.00           H 0
+ATOM      2 C01 0non 01         -0.547   0.000  -0.002  0.00  0.00           C 0
+ATOM      3 C02 0non 01          0.154   1.207   0.001  0.00  0.00           C 0
+ATOM      4 C03 0non 01          0.154  -1.208   0.001  0.00  0.00           C 0
+ATOM      5 C04 0non 01          1.534   1.200   0.001  0.00  0.00           C 0
+ATOM      6 C05 0non 01          1.534  -1.200   0.001  0.00  0.00           C 0
+ATOM      7 C06 0non 01          2.222   0.000  -0.002  0.00  0.00           C 0
+ATOM      8 H02 0non 01         -0.382   2.145   0.003  0.00  0.00           H 0
+ATOM      9 H03 0non 01         -0.382  -2.145   0.004  0.00  0.00           H 0
+ATOM     10 H04 0non 01          2.078   2.133   0.002  0.00  0.00           H 0
+ATOM     11 H05 0non 01          2.077  -2.133   0.003  0.00  0.00           H 0
+ATOM     12 H06 0non 01          3.302   0.000  -0.003  0.00  0.00           H 0
+CONECT    1    2                                                                
+CONECT    2    1    3    4                                                      
+CONECT    3    2    5    8                                                      
+CONECT    4    2    6    9                                                      
+CONECT    5    3    7   10                                                      
+CONECT    6    4    7   11                                                      
+CONECT    7    5    6   12                                                      
+CONECT    8    3                                                                
+CONECT    9    4                                                                
+CONECT   10    5                                                                
+CONECT   11    6                                                                
+CONECT   12    7                                                                
+END
Index: tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at
===================================================================
--- tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at	(revision fe0cb8fc308970199e49364f8b08a147fe05200f)
+++ tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at	(revision 0588e9997198820786bc31f4c69ab48e55ac174a)
@@ -34,2 +34,18 @@
 
 AT_CLEANUP
+
+AT_SETUP([Fragmentation - Fragmentation with cycles])
+AT_KEYWORDS([fragmentation fragment-molecule cycle])
+
+file=benzene.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --update-molecules --select-all-atoms --fragment-molecule ./BondFragment --DoCyclesFull 1 --distance 2 --order 2 --output-types "xyz"], 0, [ignore], [ignore])
+AT_CHECK([ls -l BondFragment??.xyz | wc -l], 0, [13
+], [ignore])
+AT_CHECK([cat <BondFragment12.xyz | wc -l], 0, [14
+], [ignore])
+AT_CHECK([cat <BondFragmentCycles.dat | wc -w], 0, [6
+], [ignore])
+
+AT_CLEANUP