Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cube.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -26,17 +26,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cube" \
-			--shape-type cube \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cube" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cube" 			--shape-type cube 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cube" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-cylinder.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -24,17 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
@@ -48,18 +36,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12 \
-		--undo], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/water_undo.xyz], 0, [ignore], [ignore])
 
@@ -73,19 +48,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "cylinder" \
-			--shape-type cylinder \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "cylinder" \
-		--fill-volume \
-			--count 12 \
-		--undo \
-		--redo], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "cylinder" 			--shape-type cylinder 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "cylinder" 		--fill-volume 			--count 12 		--undo 		--redo], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-everywhere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -25,17 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "everywhere" \
-			--shape-type everywhere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "everywhere" \
-		--fill-volume \
-			--count 12], 5, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "everywhere" 			--shape-type everywhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "everywhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-nowhere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -25,17 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "nowhere" \
-			--shape-type nowhere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "nowhere" \
-		--fill-volume \
-			--count 12], 5, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "nowhere" 			--shape-type nowhere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "nowhere" 		--fill-volume 			--count 12], 5, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 
Index: tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at
===================================================================
--- tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillVolume/testsuite-fill-volume-sphere.at	(revision 599b3232e65ac3b245869d9dd63c45d7e8f162f4)
@@ -26,17 +26,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillVolume/pre/water.xyz water.xyz], 0)
 AT_CHECK([
-	../../molecuilder \
-		-i $file \
-		-o xyz \
-		-l water.xyz \
-		--select-all-molecules \
-		--create-shape \
-			--shape-name "sphere" \
-			--shape-type sphere \
-			--translation 5,5,5 \
-			--stretch 3,3,3 \
-		--select-shape-by-name "sphere" \
-		--fill-volume \
-			--count 12], 0, [stdout], [stderr])
+	../../molecuilder 		-i $file 		-o xyz 		-l water.xyz 		--select-all-molecules 		--create-shape 			--shape-name "sphere" 			--shape-type sphere 			--translation 5,5,5 			--stretch 3,3,3 		--select-shape-by-name "sphere" 		--fill-volume 			--count 12], 0, [stdout], [stderr])
 #AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillVolume/post/$file], 0, [ignore], [ignore])
 