Index: src/Element/element.cpp
===================================================================
--- src/Element/element.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/element.cpp	(revision 613da6b478df78ec98ab183a9a9bd735adf14586)
@@ -104,8 +104,4 @@
 }
 
-atomicNumber_t element::getNumber() const{
-  return Z;
-}
-
 double element::getMass() const
 {
@@ -133,5 +129,5 @@
 }
 
-int element::getAtomicNumber() const
+atomicNumber_t element::getAtomicNumber() const
 {
   return Z;
@@ -207,5 +203,5 @@
 
 std::ostream &operator<<(std::ostream &ost,const element &elem){
-  ost << elem.getName() << "(" << elem.getNumber() << ")";
+  ost << elem.getName() << "(" << elem.getAtomicNumber() << ")";
   return ost;
 }
Index: src/Element/element.hpp
===================================================================
--- src/Element/element.hpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/element.hpp	(revision 613da6b478df78ec98ab183a9a9bd735adf14586)
@@ -41,5 +41,4 @@
 
     // accessor functions
-    atomicNumber_t getNumber() const;
     double getMass() const;
     const unsigned char *getColor() const;
@@ -47,5 +46,5 @@
     double getElectronegativity() const;
     double getVanDerWaalsRadius() const;
-    int getAtomicNumber() const;
+    atomicNumber_t getAtomicNumber() const;
     double getValence() const;
     int getNoValenceOrbitals() const;
@@ -92,5 +91,5 @@
     double Electronegativity; //!< electronegativity in Pauling units
     double VanDerWaalsRadius;  //!< can-der-Waals radius
-    int Z;          //!< atomic number
+    atomicNumber_t Z;          //!< atomic number
     std::string period;    //!< period: n quantum number
     std::string group;    //!< group: l quantum number
Index: src/Element/periodentafel.cpp
===================================================================
--- src/Element/periodentafel.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/periodentafel.cpp	(revision 613da6b478df78ec98ab183a9a9bd735adf14586)
@@ -60,7 +60,7 @@
 periodentafel::iterator periodentafel::AddElement(element * pointer)
 {
-  atomicNumber_t Z = pointer->getNumber();
+  atomicNumber_t Z = pointer->getAtomicNumber();
   ASSERT(!elements.count(Z), "Element is already present.");
-  if (pointer->getNumber() < 1 && pointer->getNumber() >= MAX_ELEMENTS)
+  if (pointer->getAtomicNumber() < 1 && pointer->getAtomicNumber() >= MAX_ELEMENTS)
     ELOG(0, "Invalid Z number!");
   pair<iterator,bool> res = elements.insert(pair<atomicNumber_t,element*>(Z,pointer));
@@ -73,5 +73,5 @@
 size_t periodentafel::RemoveElement(const element * pointer)
 {
-  return RemoveElement(pointer->getNumber());
+  return RemoveElement(pointer->getAtomicNumber());
 };
 
@@ -406,5 +406,5 @@
       input >> ws;
       //neues->Output((ofstream *)&cout);
-      if ((neues->getNumber() > 0) && (neues->getNumber() < MAX_ELEMENTS)) {
+      if ((neues->getAtomicNumber() > 0) && (neues->getAtomicNumber() < MAX_ELEMENTS)) {
         parsedElements[neues->Z] = neues;
 //        parsedelements << " " << *neues);
Index: src/Element/unittests/ElementUnitTest.cpp
===================================================================
--- src/Element/unittests/ElementUnitTest.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/unittests/ElementUnitTest.cpp	(revision 613da6b478df78ec98ab183a9a9bd735adf14586)
@@ -82,5 +82,5 @@
 void ElementTest::GetterTest()
 {
-  CPPUNIT_ASSERT_EQUAL( (atomId_t)0, testelement->getNumber() );
+  CPPUNIT_ASSERT_EQUAL( (atomId_t)0, testelement->getAtomicNumber() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getMass() );
   const unsigned char * color = testelement->getColor();
@@ -90,5 +90,4 @@
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getElectronegativity() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getVanDerWaalsRadius() );
-  CPPUNIT_ASSERT_EQUAL( 0, testelement->getAtomicNumber() );
   CPPUNIT_ASSERT_EQUAL( 0., testelement->getValence() );
   CPPUNIT_ASSERT_EQUAL( 0, testelement->getNoValenceOrbitals() );
Index: src/Element/unittests/PeriodentafelUnitTest.cpp
===================================================================
--- src/Element/unittests/PeriodentafelUnitTest.cpp	(revision 47ed3dbe85194f82787c9dcd9efa83fae922b213)
+++ src/Element/unittests/PeriodentafelUnitTest.cpp	(revision 613da6b478df78ec98ab183a9a9bd735adf14586)
@@ -103,5 +103,5 @@
   atomicNumber_t Z = 1;
   for(periodentafel::const_iterator ElementRunner = tafel->begin(); ElementRunner != tafel->end(); ++ElementRunner)
-    CPPUNIT_ASSERT( (ElementRunner->second->getNumber() == Z++) && "element is missing in sequence");
+    CPPUNIT_ASSERT( (ElementRunner->second->getAtomicNumber() == Z++) && "element is missing in sequence");
 };
 