Index: src/Actions/AtomAction/SaveSelectedAtomsAction.cpp
===================================================================
--- src/Actions/AtomAction/SaveSelectedAtomsAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/AtomAction/SaveSelectedAtomsAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -48,6 +48,11 @@
   if (params.filename.has_filename()) {
     // get suffix
-    FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem();
+#if BOOST_VERSION >= 104600
+      FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.stem().string();
+#else
+      FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.stem();
+#endif
   } else {
     DoeLog(1) && (eLog() << Verbose(1) << "Output file does not have a suffix, cannot recognize format." << endl);
Index: src/Actions/MoleculeAction/LoadAction.cpp
===================================================================
--- src/Actions/MoleculeAction/LoadAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/MoleculeAction/LoadAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -54,6 +54,11 @@
     if (params.filename.has_filename()) {
       // get suffix
+#if BOOST_VERSION >= 104600
+      FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.stem().string();
+#else
       FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
       FilenamePrefix = params.filename.stem();
+#endif
     } else {
       DoeLog(1) && (eLog() << Verbose(1) << "Input file does not have a suffix, cannot recognize format." << endl);
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -50,5 +50,9 @@
     DoLog(0) && (Log() << Verbose(0) << "Storing adjacency to path " << params.adjacencyfile << "." << endl);
     // TODO: sollte stream nicht filename benutzen, besser fuer unit test
+#if BOOST_VERSION >= 104600
+    mol->StoreAdjacencyToFile(params.adjacencyfile.leaf().string(), params.adjacencyfile.branch_path().string());
+#else
     mol->StoreAdjacencyToFile(params.adjacencyfile.leaf(), params.adjacencyfile.branch_path().string());
+#endif
   }
   return Action::success;
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -50,5 +50,9 @@
     DoLog(0) && (Log() << Verbose(0) << "Storing bonds to path " << params.bondsfile << "." << endl);
     // TODO: sollte stream, nicht filenamen direkt nutzen, besser fuer unit tests
+#if BOOST_VERSION >= 104600
+    mol->StoreBondsToFile(params.bondsfile.leaf().string(), params.bondsfile.branch_path().string());
+#else
     mol->StoreBondsToFile(params.bondsfile.leaf(), params.bondsfile.branch_path().string());
+#endif
   }
   return Action::success;
Index: src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -48,6 +48,11 @@
   if (params.filename.has_filename()) {
     // get suffix
-    FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
-    FilenamePrefix = params.filename.stem();
+#if BOOST_VERSION >= 104600
+      FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.stem().string();
+#else
+      FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
+      FilenamePrefix = params.filename.stem();
+#endif
   } else {
     DoeLog(1) && (eLog() << Verbose(1) << "Output file does not have a suffix, cannot recognize format." << endl);
Index: src/Actions/WorldAction/InputAction.cpp
===================================================================
--- src/Actions/WorldAction/InputAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/WorldAction/InputAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -53,6 +53,11 @@
   if (params.filename.has_filename()) {
     // get suffix
+#if BOOST_VERSION >= 104600
+    FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.stem().string();
+#else
     FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
     FilenamePrefix = params.filename.stem();
+#endif
     DoLog(1) && (Log() << Verbose(1) << "Setting config file name prefix to " << FilenamePrefix << "." << endl);
     FormatParserStorage::getInstance().SetOutputPrefixForAll(FilenamePrefix);
Index: src/Actions/WorldAction/OutputAction.cpp
===================================================================
--- src/Actions/WorldAction/OutputAction.cpp	(revision e5c233cf7fc321481d7f2bd42b55e4580bbc581e)
+++ src/Actions/WorldAction/OutputAction.cpp	(revision 632a52b11abb20d9061552caa17f2fbef9b87353)
@@ -49,6 +49,11 @@
   if (params.filename.has_filename()) {
     // get suffix
+#if BOOST_VERSION >= 104600
+    FilenameSuffix = params.filename.extension().string().substr(1); // remove the prefixed "."
+    FilenamePrefix = params.filename.stem().string();
+#else
     FilenameSuffix = params.filename.extension().substr(1); // remove the prefixed "."
     FilenamePrefix = params.filename.stem();
+#endif
   } else {
     DoeLog(1) && (eLog() << Verbose(1) << "Output file does not have a suffix, cannot recognize format." << endl);