Index: tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision ccb487ddab59ad8050ce40929874510f2d9454f0)
+++ tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision 649aaa496b3f8694fe796e2971b1bb1fd7464e61)
@@ -7,5 +7,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 1], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -16,5 +16,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -o xyz -d 2 1 1], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 2 1], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -34,5 +34,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 2], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -43,5 +43,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d "2, 2, 2"], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])
@@ -56,5 +56,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 1 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -65,5 +65,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -o xyz -d 2 1 1 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -74,5 +74,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 2 1 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -83,5 +83,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 2 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain restored to" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -92,5 +92,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d "2, 2, 2" --undo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials  -i $file  -o tremolo -d 2 2 2 --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/$file], 0, [ignore], [ignore])
@@ -105,5 +105,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 1 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -114,5 +114,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file -o xyz -d 2 1 1 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -123,5 +123,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 2 1 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -132,5 +132,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -i $file  -o xyz -d 1 1 2 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is again" stdout], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
@@ -141,5 +141,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/ec.* .], 0)
 AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
-AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d "2, 2, 2" --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --parse-tremolo-potentials ec.potentials -i $file  -o tremolo -d 2 2 2 --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/post/$file], 0, [ignore], [ignore])