Index: tests/Fragmentations/dimethyl_bromomalonate/dimethyl_bromomalonate.xyz
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/dimethyl_bromomalonate.xyz	(revision 03871391ca6c9494c227476e9ffca5d4ad581339)
+++ 	(revision )
@@ -1,19 +1,0 @@
-17
-NCI NSC 175888 No Name
-C    0.1684    0.0862   -0.6343
-C   -0.7820    1.2230   -0.3596
-C    1.4571    0.3173    0.1119
-Br   -0.6406   -1.6032   -0.0372
-O   -1.9718    0.9798    0.2121
-O   -0.4729    2.3533   -0.6540
-O    2.6131    0.4236   -0.5619
-O    1.4498    0.4070    1.3168
-C   -2.8875    2.0751    0.4768
-C    3.8548    0.6463    0.1571
-H    0.3723    0.0334   -1.7037
-H   -3.1420    2.5705   -0.4602
-H   -3.7944    1.6866    0.9403
-H   -2.4137    2.7904    1.1490
-H    3.7888    1.5800    0.7156
-H    4.0276   -0.1788    0.8479
-H    4.6801    0.7050   -0.5526
Index: tests/Fragmentations/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,19 @@
+17
+NCI NSC 175888 No Name
+C    0.1684    0.0862   -0.6343
+C   -0.7820    1.2230   -0.3596
+C    1.4571    0.3173    0.1119
+Br   -0.6406   -1.6032   -0.0372
+O   -1.9718    0.9798    0.2121
+O   -0.4729    2.3533   -0.6540
+O    2.6131    0.4236   -0.5619
+O    1.4498    0.4070    1.3168
+C   -2.8875    2.0751    0.4768
+C    3.8548    0.6463    0.1571
+H    0.3723    0.0334   -1.7037
+H   -3.1420    2.5705   -0.4602
+H   -3.7944    1.6866    0.9403
+H   -2.4137    2.7904    1.1490
+H    3.7888    1.5800    0.7156
+H    4.0276   -0.1788    0.8479
+H    4.6801    0.7050   -0.5526
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order1.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 1
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=10
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order2.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 2
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=19
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order3.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 3
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=30
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order4.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 4
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=45
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order5.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 5
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 5])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=63
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order6.at
===================================================================
--- tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### dimethyl_bromomalonate - order 6
+
+AT_SETUP([Fragmentations - dimethyl_bromomalonate order 6])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=dimethyl_bromomalonate
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=83
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+